/* Herobanner Component Styles */
.module-component-herobanner {
    max-height: calc(700 * var(--rpx));
    height: 100svh;
    margin-top: var(--header-height);
}

.module-component-herobanner .container {
    height: 100%;
}

.module-component-herobanner .container .inner {
    width: calc(100vw - 30 * var(--rpx));
    border-radius: var(--radius-20);
    overflow: hidden;
}

.module-component-herobanner .container .inner .owl-carousel {
    max-height: calc(700 * var(--rpx));
    height: calc(100svh - var(--header-height) - var(--spacing-32));
}

.module-component-herobanner .container .inner .slide {
    max-height: calc(700 * var(--rpx));
    height: 100svh;
    background-size: auto 100%;
    background-position: right;
    background-position: right;
    background-repeat: no-repeat;
    position: relative;
    border-radius: var(--radius-20);
    overflow: hidden;
}

.module-component-herobanner .container .inner .slide::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: var(--gradient-blue-dark-4);
}

.module-component-herobanner .container .inner .slide[index="3"] .content {
    max-width: calc(925 * var(--rpx));
}

.module-component-herobanner .container .inner .slide[index="3"] .content .boxes > div:last-child {
    max-width: calc(425 * var(--rpx));
}

.module-component-herobanner .container .inner .slide .content {
    height: 100%;
    max-width: calc(845 * var(--rpx));
    color: var(--white);
    margin-left: calc(140 * var(--rpx));
}

.module-component-herobanner .container .inner .slide .content h1 span,
.module-component-herobanner .container .inner .slide .content .h1 span {
    font: var(--font-h3);
    color: var(--white-70);
}

.module-component-herobanner .container .inner .slide .content .boxes > div{
    width: calc(433 * var(--rpx));
}

.module-component-herobanner .container .inner .slide .content .boxes > div:last-child{
    width: calc(395 * var(--rpx));
}

.module-component-herobanner .container .inner .slide .content .box {
    padding: var(--spacing-44);
    border-radius: var(--radius-20);
    overflow: hidden;
    height: 100%;
}

.module-component-herobanner .container .inner .slide .content .box.left {
    background: var(--gradient-blue-dark-3);
    padding-left: 0;
}

.module-component-herobanner .container .inner .slide .content .box.left p {
    font: var(--font-p1);
    color: var(--white-70);
}

.module-component-herobanner .container .inner .slide .content .box.left p strong {
    display: inline;
    font: var(--font-p1-semibold);
    color: var(--white);
}

.module-component-herobanner .container .inner .slide .content .box.left button {
    width: 100%;
}

.module-component-herobanner .container .inner .slide .content .box.right {
    background: var(--gradient-blue);
}

.module-component-herobanner .container .inner .slide .content .box.right h5{
    padding-bottom: var(--spacing-20);
}

.module-component-herobanner .container .inner .slide .content .box.right p{
    font: var(--font-p1);
    font-size: calc(20 * var(--rpx));
}

.module-component-herobanner .container .inner .owl-nav button {
    position: absolute;
    top: 0;
    bottom: 0;
}

.module-component-herobanner .container .inner .owl-nav button.owl-prev {
    left: calc(45 * var(--rpx));
}

.module-component-herobanner .container .inner .owl-nav button.owl-next {
    right: calc(45 * var(--rpx));
}

.module-component-herobanner .container .inner .owl-dots {
    position: absolute;
    bottom: calc(40 * var(--rpx));
    width: 100%;
    gap: var(--spacing-10);
}





@media (max-width: 1023px) {
    .module-component-herobanner [pc] {
        display: none;
    }

    .module-component-herobanner .container .inner .slide{
        height: 100%;
        max-height: calc(100svh - var(--header-height) - var(--spacing-32));
		background-position: bottom;
        background-size: auto 60%;
    }

    .module-component-herobanner .container .inner .slide::before {
        background: var(--gradient-blue-dark-4-reverse);
        height: 140%;
    }

    .module-component-herobanner .container .inner .slide .content {
        gap: var(--spacing-20);
        padding: var(--spacing-22);
        max-width: none;
        margin-left: 0;
    }

    .module-component-herobanner .container .inner .slide .content h1 span,
    .module-component-herobanner .container .inner .slide .content .h1 span {
        font: var(--font-h4);
    }

    .module-component-herobanner .container .inner .slide .content .boxes > div {
        width: 100%;
    }

    .module-component-herobanner .container .inner .slide .content .box.right p{
        font-size: calc(16 * var(--rpx));
    }

    .module-component-herobanner .container .inner .slide .content .box.left,
    .module-component-herobanner .container .inner .slide .content .box.right {
        padding: var(--spacing-22);
    }

    .module-component-herobanner .container .inner .slide .content .box.left button,
    .module-component-herobanner .container .inner .slide .content .box.left a {
        padding: var(--spacing-20);
        width: 100%;
    }

    .module-component-herobanner .container .inner .slide .content .boxes > div:last-child {
        width: 100%;
    }

    .module-component-herobanner .container .inner .owl-stage-outer,
    .module-component-herobanner .container .inner .owl-stage,
    .module-component-herobanner .container .inner .owl-item{
        height: 100%;
    }

    /* Nav */
    .module-component-herobanner .container .inner .owl-nav button.owl-next,
    .module-component-herobanner .container .inner .owl-nav button.owl-prev,
    .module-component-herobanner .container .inner .owl-nav button.owl-next svg
    .module-component-herobanner .container .inner .owl-nav button.owl-prev svg {
        width: calc(15 * var(--rpx)) !important;
        right: calc(7 * var(--rpx)) !important;
        position: unset !important;
    }

    .module-component-herobanner .container .inner .owl-nav {
        position: absolute;
        bottom: 0;
        right: calc(20 * var(--rpx));
        width: fit-content;
        gap: calc(32 * var(--rpx));
        display: flex;
        align-items: center;
    }

    /* Dots */
    .module-component-herobanner .container .inner .owl-dots {
        justify-content: start;
        left: calc(30 * var(--rpx));
        bottom: calc(19 * var(--rpx));
        width: fit-content;
    }
}


@media (min-width: 1024px) {
    .module-component-herobanner [mobile] {
        display: none;
    }
}